%define upstream_name    CDB_File
%define upstream_version 0.98

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Extension for access to cdb databases
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://search.cpan.org/CPAN/authors/id/M/MS/MSERGEANT/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Test::More)
BuildRequires: perl-devel
%description
CDB_File is a module which provides a Perl interface to Dan Berstein's cdb
package.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make

%check
make test

%install
%make_install

%files
%doc ACKNOWLEDGE CHANGES COPYRIGHT INSTALL META.json META.yml MYMETA.yml README
%{perl_vendorarch}/auto/CDB_File
%{perl_vendorarch}/CDB_File.pm
%{perl_vendorarch}/bun-x.pl
%{_mandir}/*/*

%changelog
* Sat Jun 18 2016 pterjan <pterjan> 0.980.0-3.mga6
+ Revision: 1023417
- Rebuild for perl 5.22.2

* Fri Feb 12 2016 umeabot <umeabot> 0.980.0-2.mga6
+ Revision: 956811
- Mageia 6 Mass Rebuild

* Mon Jul 06 2015 sander85 <sander85> 0.980.0-1.mga6
+ Revision: 851914
- update to 0.98

* Fri Jun 26 2015 sander85 <sander85> 0.970.0-11.mga6
+ Revision: 844054
- Rebuild for perl 5.22

* Wed Oct 15 2014 umeabot <umeabot> 0.970.0-10.mga5
+ Revision: 746252
- Second Mageia 5 Mass Rebuild

* Tue Sep 30 2014 tv <tv> 0.970.0-9.mga5
+ Revision: 732906
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 0.970.0-8.mga5
+ Revision: 683619
- Mageia 5 Mass Rebuild

* Tue Jun 03 2014 pterjan <pterjan> 0.970.0-7.mga5
+ Revision: 630860
- Rebuild for perl 5.20

* Sat Oct 19 2013 umeabot <umeabot> 0.970.0-6.mga4
+ Revision: 524245
- Mageia 4 Mass Rebuild

* Wed May 29 2013 jquelin <jquelin> 0.970.0-5.mga4
+ Revision: 430556
- perl 5.18.0 rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.970.0-4.mga3
+ Revision: 363424
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed May 30 2012 jquelin <jquelin> 0.970.0-3.mga3
+ Revision: 250316
- rebuild for perl 5.16

* Sat Jun 11 2011 sander85 <sander85> 0.970.0-2.mga2
+ Revision: 103611
- perl 5.14

* Thu Apr 07 2011 jquelin <jquelin> 0.970.0-1.mga1
+ Revision: 81739
- update to 0.97

* Fri Jan 21 2011 jquelin <jquelin> 0.960.0-2.mga1
+ Revision: 29834
- mageia rebuild
- imported package perl-CDB_File


* Tue Jul 20 2010 Jérôme Quelin <jquelin@mandriva.org> 0.960.0-2mdv2011.0
+ Revision: 555690
- rebuild

* Tue Jul 28 2009 Jérôme Quelin <jquelin@mandriva.org> 0.960.0-1mdv2010.0
+ Revision: 402099
- rebuild using %%perl_convert_version

* Fri Aug 08 2008 Thierry Vignaud <tv@mandriva.org> 0.96-2mdv2009.0
+ Revision: 268372
- rebuild early 2009.0 package (before pixel changes)

* Thu Apr 17 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.96-1mdv2009.0
+ Revision: 195211
- new version
  drop undocumented patch (doesn't apply anymore)

* Mon Feb 11 2008 Oden Eriksson <oeriksson@mandriva.com> 0.95-1mdv2008.1
+ Revision: 165057
- import perl-CDB_File


* Mon Feb 11 2008 Oden Eriksson <oeriksson@mandriva.com> 0.95-1mdv2008.1
- initial Mandriva package 
